Get Replicated Array Pair
Get information about a Site Recovery Manager replicated array pair that is part of a given pairing.
The ID of a pairing between this Site Recovery Manager server and remote one.
ID of a Site Recovery Manager server.
ID of a replicated array pair.
Information about a Site Recovery Manager replicated array pair.
{
"id": "string",
"local_storage_array_key": "string",
"local_storage_array_name": "string",
"remote_storage_array_key": "string",
"remote_storage_array_name": "string",
"has_replicated_datastores": false,
"discovering_devices": false,
"stretched_storage_supported": false,
"local_array_manager": {
"name": "string",
"id": "string",
"replicated_array_pairs": [
{
"id": "string",
"local_storage_array_key": "string",
"local_storage_array_name": "string",
"remote_storage_array_key": "string",
"remote_storage_array_name": "string"
}
],
"storage_arrays": [
{
"storage_array_key": "string",
"peer_storage_array_keys": [
{}
]
}
],
"storage_adapter": {
"id": "string",
"version": "string",
"name": "string",
"vendor": "string",
"vendor_url": "string",
"peer_storage_adapter": {
"id": "string",
"version": "string"
},
"connection_spec_address": "string",
"ping_status": "string",
"ping_fault": "string",
"ping_date": 0
}
},
"remote_array_manager": {
"name": "string",
"id": "string",
"replicated_array_pairs": [
{
"id": "string",
"local_storage_array_key": "string",
"local_storage_array_name": "string",
"remote_storage_array_key": "string",
"remote_storage_array_name": "string"
}
],
"storage_arrays": [
{
"storage_array_key": "string",
"peer_storage_array_keys": [
{}
]
}
],
"storage_adapter": {
"id": "string",
"version": "string",
"name": "string",
"vendor": "string",
"vendor_url": "string",
"peer_storage_adapter": {
"id": "string",
"version": "string"
},
"connection_spec_address": "string",
"ping_status": "string",
"ping_fault": "string",
"ping_date": 0
}
},
"name": "string",
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/srms/{srm_id}/replication-management/abr/array-pairs/{array_pair_id}